package org.gcube.common.authorizationservice.cl;

import static org.gcube.common.authorization.client.Constants.authorizationService;

import java.util.List;

import org.gcube.common.resources.gcore.GenericResource;
import org.gcube.common.scope.api.ScopeProvider;
import org.gcube.resources.discovery.client.api.DiscoveryClient;
import org.gcube.resources.discovery.client.queries.api.SimpleQuery;
import org.junit.Test;
import static org.gcube.resources.discovery.icclient.ICFactory.*;
public class CallTest {

	
	@Test
	public void call(){
		ScopeProvider.instance.set("/gcube/devsec");
		SimpleQuery query = queryFor(GenericResource.class);
		query.addCondition("$resource/Profile/SecondaryType eq 'StatisticalManagerAlgorithm' ");
		DiscoveryClient<GenericResource> client = clientFor(GenericResource.class);
		List<GenericResource> resources = client.submit(query);
		for (GenericResource res : resources)
			System.out.println(res);
		
	}
	
	@Test
	public void requestToken(){
		
		ScopeProvider.instance.set("/gcube/devsec");
		String token = authorizationService().build().generate("lucio.le", "User");
		System.out.println("token is: "+token);
		
	}
		
}
